---
title: Awesome
description: A curated list of awesome stuff I like
date: 2024-11-26
tags: ['awesome', 'curated']
---

# Awesome Stuff (WIP)

## Software

### Operating Systems

Honestly can't recommend Windows at all nowadays. It's just... Both spyware and bloatware. It's been enshittified to the point where it's just not worth using in comparison to Linux for most, if not all purposes nowadays, and the only thing it has going for it is existing software, which is a rapidly fading, if not fade***d***, advantage.  
Windows Recall was especially egregious - The fact that a program that records all your screens, saves it to an unencrypted SQLite database, then feeds it to an AI network was *even on the table* is just... ***YIKES.***

- [Arch Linux](https://archlinux.org/)

> btw I use Arch
did I mention I use Arch
I use Arch btw just in case you didn't know
arch btw
/j

- [NixOS](https://nixos.org/)

> NixOS is a operating system that uses the Nix package manager. It's a great choice for people who want a declarative system configuration, and it's a great choice for people who want to be able to roll back to a previous system configuration if something goes wrong. It's also a great choice for people who want to be able to install packages without having to worry about dependency hell.  
Because of the way NixOS works, I can use it pretty damn easily across my many systems, and it makes it easy to debloat if I need to.

## Software Development

### Languages

- [Rust](https://www.rust-lang.org/)

> I came to Rust from C/C++, and I've been loving it ever since. It's a great language that's easy to learn and has a lot of features that make it a great choice for systems programming. It's also a great choice for web development, and it's a decent choice for game development. It's a great choice for pretty much anything, really.

### Game Development

- [Godot Engine](https://godotengine.org)

> Nowadays, I'm mostly using Godot for game development. It's a great engine that's easy to use and has a lot of features. Plus, it's open-source, which is always a plus. The executable is in the magnitude of *MEGABYTES* and you can download it and just get going.  
Unity is, at this point, inferior to Godot in my opinion for general purpose games. It's bloated as hell, slow, and has a lot of unnecessary core features that are often half-baked or deprecated - There is often 99 ways to do things, but none are good. It's not open source, and isn't nearly as capable of recompiling to cut down on unneeded features as a result. It's also not as user-friendly as Godot, and the documentation is often lacking or outdated. I've had a lot of issues with Unity, and I'm not a fan of it.  
And on the other end, if you need high-fidelity games... Unreal Engine 5 is a no-brainer over Unity nowadays for the same purpose.
And for 2D games... Godot absolutely ***MOPS THE FLOOR WITH UNITY.*** It hardly even compares at this point.

- [Unreal Engine 5](https://www.unrealengine.com/)
  
> I don't use it much, but it's a great engine for high-fidelity games. It's a ***LOT*** more complex than Godot, but it's also more powerful. Plus, it's free to use until you make a certain amount of money, and they let you remain on the same licensing terms from when you start using it.

- [Material Maker](https://www.materialmaker.org/)

> Material Maker is a toolkit made in Godot that allows you to create procedural PBR materials, similar to how you would with Blender shaders.
It's a great tool for creating materials, and it's open-source, so you can modify it to your heart's content.

## Games

I will be using the Entertainment Software Rating Board's rating system for games, under my judgement if a rating does not already exist.
These may not actually be rated by the ESRB, but I will be using their rating system for simplicity.
See their [Ratings Guide](https://www.esrb.org/ratings-guide/) for more information about their rating system.

- [Celeste](https://www.celestegame.com/)
***Rated E10 for Everyone 10+ by the ESRB***

> What can I say? It's a great game. The story is touching, the gameplay is challenging, and the music is amazing.
Plus, the modding scene is very intense if you're into that.
Also... Heat from fire, fire from heat, if ya know. 🏳️‍⚧️

- [Wolfenstein: The New Order](https://store.steampowered.com/app/201810/Wolfenstein_The_New_Order/) and its sequel, [Wolfenstein: The New Colossus](https://store.steampowered.com/app/612880/Wolfenstein_II_The_New_Colossus/)
***Rated M for Mature 17+ by the ESRB***

> Before Id made DOOM in 1993, they made Wolfenstein, a game about beating up Nazis. Need I say more?  
They made a new series of games, starting with The New Order, that are a great mix of story and gameplay. The story is great, the gameplay is great, and the music is great. Criminal that there isn't a third one, though.

- [OneShot](https://store.steampowered.com/app/420530/OneShot/)
***Rated E for Everyone by the ESRB***

> You only get one shot.

- [Papers, Please](https://store.steampowered.com/app/239030/Papers_Please/)
***Rated M for Mature 17+ by the ESRB***

> ***Glory to Arstotzka.***

- [Sonic Adventure 2](https://store.steampowered.com/app/213610/Sonic_Adventure_2/)

***Rated E10 for Everyone 10+ by the ESRB***
> I grew up with SA2. Sure, it has plenty of things that did NOT age well - Such as the audio mixing, the music is *twice as loud* as it should be during scenes, I can barely hear characters, or the quality of the ports being pretty abysmal - But it is still quite a fun game. The story is, perhaps, among the best, in the series, and Doctor Ivo "Eggman" Robotnik's characterization is ***OUTRIGHT the best in the series***. The music (Crush 40, anyone?) is also top-notch.  
If you play this on PC, such as the Steam version, there exists a mod loader, and plenty of mods to improve the myriad issues with the port.  
Mad Space is a bit maddening (Well, it's in the name I suppose) though, and the removal of the open-world that SA1 had isn't that great.

## Media

I will be using the Motion Picture Association's rating system for movies or media in general should it not have its own rating system, under my judgement if a rating does not already exist.  
These may not actually be rated by the MPA, but I will be using their rating system for simplicity.
See the Motion Picture Association's [Film Ratings](https://www.motionpictures.org/film-ratings/) for more information about their rating system.

I will be using the TV Parental Guidelines's rating system for shows or series, under my judgement if a rating does not already exist.
These may not actually be rated by official organizations, but I will be using their rating system for simplicity.

### Shows

- [One Piece](https://www.crunchyroll.com/series/GRMG8ZQZR/one-piece)
***Rating varies depending on parts of the show, and movies and whatnot.***
***I rate the show as a range from TV-PG V to TV-MA LV.***

> Oda had better finish the story. I swear to Satan.

#### Fanmade

- [Dragon Ball Z Abridged](https://www.youtube.com/watch?v=2nYozPLpJRE&list=PL6EC7B047181AD013) (and related "movies" and videos) by TeamFourStar
***I rate this show and its movies as TV-MA DLSV (the whole shebang, in other words)***

> It's... The iconic parody of all time. It's a great show, and it's a shame that they aren't doing Buu Saga.
Even though the series is more comedy focused, it still manages to tell the story of Dragon Ball Z in an *excellent* way.
The creators are also based as hell.
...Watch it. Just watch it.
